/*  WARNING: this file is program generated. */
/*  Remove these two lines to protect the file from overwrites. */
#ifndef OM_NO_DEF_FLD
#define OM_NO_DEF_FLD

#include "avs/om.h"

#ifdef __cplusplus
#include "avs/omx.hxx"
#endif
#ifdef __cplusplus
extern "C" {
#endif

#include "avs/fld.h"
#ifdef __cplusplus
}
#endif
#ifdef __cplusplus


//
// Program generated hdr definition for class: FLD_Header
//
void FLD_Header__free(void *obj);
OMXgroup *FLD_Header__inst(OMobj_id obj_id);
class FLD_Header : public virtual OMXgroup {
   public:
	FLD_Header(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Header");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Data_Array
//
void FLD_Data_Array__free(void *obj);
OMXgroup *FLD_Data_Array__inst(OMobj_id obj_id);
class FLD_Data_Array : public virtual OMXgroup {
   public:
	FLD_Data_Array(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Data_Array");
	virtual void *ret_omx_ptr(char *);
      OMXint nvals;
      OMXint veclen;
      OMXint id;
      OMXprim_array values;
      OMXint null_flag;
      OMXprim null_value;
      OMXprim min;
      OMXprim max;
      OMXprim_array min_vec;
      OMXprim_array max_vec;
      OMXstr labels;
      OMXstr units;
};


//
// Program generated hdr definition for class: FLD_Data_Array_Simple
//
void FLD_Data_Array_Simple__free(void *obj);
OMXgroup *FLD_Data_Array_Simple__inst(OMobj_id obj_id);
class FLD_Data_Array_Simple : public virtual OMXgroup {
   public:
	FLD_Data_Array_Simple(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Data_Array_Simple");
	virtual void *ret_omx_ptr(char *);
      OMXint nvals;
      OMXint veclen;
      OMXint id;
      OMXprim_array values;
      OMXint null_flag;
      OMXprim null_value;
      OMXstr labels;
      OMXstr units;
};


//
// Program generated hdr definition for class: GDxform_templ
//
void GDxform_templ__free(void *obj);
OMXgroup *GDxform_templ__inst(OMobj_id obj_id);
class GDxform_templ : public virtual OMXgroup {
   public:
	GDxform_templ(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "GDxform_templ");
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array mat;
      OMXfloat_array xlate;
      OMXfloat_array center;
      OMXfloat_array ocenter;
      OMXfloat_array dcenter;
      OMXint rspace;
};


//
// Program generated hdr definition for class: GDXxform
//
void GDXxform__free(void *obj);
OMXgroup *GDXxform__inst(OMobj_id obj_id);
class GDXxform : public virtual OMXgroup, public GDxform_templ {
   public:
	GDXxform(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "GDxform");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: DefaultXform
//
void DefaultXform__free(void *obj);
OMXgroup *DefaultXform__inst(OMobj_id obj_id);
class DefaultXform : public virtual OMXgroup, public GDXxform {
   public:
	DefaultXform(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "DefaultXform");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Xform
//
void FLD_Xform__free(void *obj);
OMXgroup *FLD_Xform__inst(OMobj_id obj_id);
class FLD_Xform : public virtual OMXgroup {
   public:
	FLD_Xform(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Xform");
	virtual void *ret_omx_ptr(char *);
      class DefaultXform xform;
};


//
// Program generated hdr definition for class: FLD_Grid
//
void FLD_Grid__free(void *obj);
OMXgroup *FLD_Grid__inst(OMobj_id obj_id);
class FLD_Grid : public virtual OMXgroup {
   public:
	FLD_Grid(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint nspace;
      class FLD_Data_Array coordinates;
};


//
// Program generated hdr definition for class: FLD_Cell_Set
//
void FLD_Cell_Set__free(void *obj);
OMXgroup *FLD_Cell_Set__inst(OMobj_id obj_id);
class FLD_Cell_Set : public virtual OMXgroup {
   public:
	FLD_Cell_Set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncells;
      OMXint cell_ndim;
      OMXint cell_nnodes;
      OMXint cell_corner_nnodes;
      OMXint cell_order;
      OMXint poly_flag;
      OMXint_array node_connect_list;
      OMXstr name;
      OMXint nprops;
      OMXfloat_array props;
      OMXint poly_type;
      OMXint npolys;
      OMXint_array poly_nnodes;
      OMXint_array poly_connect_list;
      OMXint concave_flag;
};
class FLD_Cells_cell_set_array : public OMXgroup_array {
public:
  FLD_Cells_cell_set_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Cell_Set &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cells
//
void FLD_Cells__free(void *obj);
OMXgroup *FLD_Cells__inst(OMobj_id obj_id);
class FLD_Cells : public virtual OMXgroup {
   public:
	FLD_Cells(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cells");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_sets;
      FLD_Cells_cell_set_array cell_set;
};
class FLD_Node_Data_node_data_array : public OMXgroup_array {
public:
  FLD_Node_Data_node_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Node_Data
//
void FLD_Node_Data__free(void *obj);
OMXgroup *FLD_Node_Data__inst(OMobj_id obj_id);
class FLD_Node_Data : public virtual OMXgroup {
   public:
	FLD_Node_Data(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Node_Data");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint nnode_data;
      FLD_Node_Data_node_data_array node_data;
};
class FLD_Cell_Data_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Cell_Data_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cell_Data_cell_set
//
class FLD_Cell_Data_cell_set : public virtual OMXgroup {
   public:
	FLD_Cell_Data_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncells;
      OMXint ncell_data;
      FLD_Cell_Data_cell_set_cell_data_array cell_data;
};
class FLD_Cell_Data_cell_set_array : public OMXgroup_array {
public:
  FLD_Cell_Data_cell_set_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Cell_Data_cell_set &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cell_Data
//
void FLD_Cell_Data__free(void *obj);
OMXgroup *FLD_Cell_Data__inst(OMobj_id obj_id);
class FLD_Cell_Data : public virtual OMXgroup {
   public:
	FLD_Cell_Data(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_sets;
      FLD_Cell_Data_cell_set_array cell_set;
};
class FLD_Cell_Data_Poly_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Cell_Data_Poly_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cell_Data_Poly_cell_set
//
class FLD_Cell_Data_Poly_cell_set : public virtual OMXgroup {
   public:
	FLD_Cell_Data_Poly_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data_Poly.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint npolys;
      OMXint ncell_data;
      FLD_Cell_Data_Poly_cell_set_cell_data_array cell_data;
};
class FLD_Cell_Data_Poly_cell_set_array : public OMXgroup_array {
public:
  FLD_Cell_Data_Poly_cell_set_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Cell_Data_Poly_cell_set &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cell_Data_Poly
//
void FLD_Cell_Data_Poly__free(void *obj);
OMXgroup *FLD_Cell_Data_Poly__inst(OMobj_id obj_id);
class FLD_Cell_Data_Poly : public virtual OMXgroup {
   public:
	FLD_Cell_Data_Poly(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data_Poly");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_sets;
      FLD_Cell_Data_Poly_cell_set_array cell_set;
};
class FLD_Cell_Data_Set_cell_data_array : public OMXgroup_array {
public:
  FLD_Cell_Data_Set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cell_Data_Set
//
void FLD_Cell_Data_Set__free(void *obj);
OMXgroup *FLD_Cell_Data_Set__inst(OMobj_id obj_id);
class FLD_Cell_Data_Set : public virtual OMXgroup {
   public:
	FLD_Cell_Data_Set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data_Set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncells;
      OMXint ncell_data;
      FLD_Cell_Data_Set_cell_data_array cell_data;
};
class FLD_Cell_Data_Set_Poly_cell_data_array : public OMXgroup_array {
public:
  FLD_Cell_Data_Set_Poly_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Cell_Data_Set_Poly
//
void FLD_Cell_Data_Set_Poly__free(void *obj);
OMXgroup *FLD_Cell_Data_Set_Poly__inst(OMobj_id obj_id);
class FLD_Cell_Data_Set_Poly : public virtual OMXgroup {
   public:
	FLD_Cell_Data_Set_Poly(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data_Set_Poly");
	virtual void *ret_omx_ptr(char *);
      OMXint npolys;
      OMXint ncell_data;
      FLD_Cell_Data_Set_Poly_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Mesh
//
void FLD_Mesh__free(void *obj);
OMXgroup *FLD_Mesh__inst(OMobj_id obj_id);
class FLD_Mesh : public virtual OMXgroup, public FLD_Grid, public FLD_Cells, public FLD_Xform {
   public:
	FLD_Mesh(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Data
//
void FLD_Data__free(void *obj);
OMXgroup *FLD_Data__inst(OMobj_id obj_id);
class FLD_Data : public virtual OMXgroup, public FLD_Node_Data, public FLD_Cell_Data {
   public:
	FLD_Data(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Data");
	virtual void *ret_omx_ptr(char *);
};
class FLD_Field_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_cell_set
//
class FLD_Field_cell_set : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Field_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_cell_set_cell_data_array cell_data;
};
class FLD_Field_cell_set_array : public OMXgroup_array {
public:
  FLD_Field_cell_set_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Field_cell_set &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field
//
void FLD_Field__free(void *obj);
OMXgroup *FLD_Field__inst(OMobj_id obj_id);
class FLD_Field : public virtual OMXgroup, public FLD_Header, public FLD_Mesh, public FLD_Data {
   public:
	FLD_Field(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ncell_sets;
      FLD_Field_cell_set_array cell_set;
};
class FLD_Hier_Field_child_field_array : public OMXgroup_array {
public:
  FLD_Hier_Field_child_field_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Field &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Hier_Field
//
void FLD_Hier_Field__free(void *obj);
OMXgroup *FLD_Hier_Field__inst(OMobj_id obj_id);
class FLD_Hier_Field : public virtual OMXgroup {
   public:
	FLD_Hier_Field(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Hier_Field");
	virtual void *ret_omx_ptr(char *);
      OMXint nchild;
      FLD_Hier_Field_child_field_array child_field;
};


//
// Program generated hdr definition for class: FLD_Grid_Struct
//
void FLD_Grid_Struct__free(void *obj);
OMXgroup *FLD_Grid_Struct__inst(OMobj_id obj_id);
class FLD_Grid_Struct : public virtual OMXgroup, public FLD_Grid {
   public:
	FLD_Grid_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
      OMXint npoints;
      OMXfloat_array points;
      OMXint grid_type;
};


//
// Program generated hdr definition for class: FLD_Node_Data_Struct
//
void FLD_Node_Data_Struct__free(void *obj);
OMXgroup *FLD_Node_Data_Struct__inst(OMobj_id obj_id);
class FLD_Node_Data_Struct : public virtual OMXgroup, public FLD_Node_Data {
   public:
	FLD_Node_Data_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Node_Data_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Grid_Unif
//
void FLD_Grid_Unif__free(void *obj);
OMXgroup *FLD_Grid_Unif__inst(OMobj_id obj_id);
class FLD_Grid_Unif : public virtual OMXgroup, public FLD_Grid_Struct {
   public:
	FLD_Grid_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Unif");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Grid_Rect
//
void FLD_Grid_Rect__free(void *obj);
OMXgroup *FLD_Grid_Rect__inst(OMobj_id obj_id);
class FLD_Grid_Rect : public virtual OMXgroup, public FLD_Grid_Struct {
   public:
	FLD_Grid_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Rect");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Grid_Cyl_Unif
//
void FLD_Grid_Cyl_Unif__free(void *obj);
OMXgroup *FLD_Grid_Cyl_Unif__inst(OMobj_id obj_id);
class FLD_Grid_Cyl_Unif : public virtual OMXgroup, public FLD_Grid_Struct {
   public:
	FLD_Grid_Cyl_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Cyl_Unif");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Grid_Cyl_Rect
//
void FLD_Grid_Cyl_Rect__free(void *obj);
OMXgroup *FLD_Grid_Cyl_Rect__inst(OMobj_id obj_id);
class FLD_Grid_Cyl_Rect : public virtual OMXgroup, public FLD_Grid_Struct {
   public:
	FLD_Grid_Cyl_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Cyl_Rect");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Grid_Spher_Unif
//
void FLD_Grid_Spher_Unif__free(void *obj);
OMXgroup *FLD_Grid_Spher_Unif__inst(OMobj_id obj_id);
class FLD_Grid_Spher_Unif : public virtual OMXgroup, public FLD_Grid_Struct {
   public:
	FLD_Grid_Spher_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Spher_Unif");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Grid_Spher_Rect
//
void FLD_Grid_Spher_Rect__free(void *obj);
OMXgroup *FLD_Grid_Spher_Rect__inst(OMobj_id obj_id);
class FLD_Grid_Spher_Rect : public virtual OMXgroup, public FLD_Grid_Struct {
   public:
	FLD_Grid_Spher_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Grid_Spher_Rect");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: FLD_Cell_Set_Struct
//
void FLD_Cell_Set_Struct__free(void *obj);
OMXgroup *FLD_Cell_Set_Struct__inst(OMobj_id obj_id);
class FLD_Cell_Set_Struct : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Cell_Set_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Set_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint_array cell_dims;
};


//
// Program generated hdr definition for class: FLD_Cells_Struct
//
void FLD_Cells_Struct__free(void *obj);
OMXgroup *FLD_Cells_Struct__inst(OMobj_id obj_id);
class FLD_Cells_Struct : public virtual OMXgroup, public FLD_Cells {
   public:
	FLD_Cells_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cells_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Cell_Data_Struct
//
void FLD_Cell_Data_Struct__free(void *obj);
OMXgroup *FLD_Cell_Data_Struct__inst(OMobj_id obj_id);
class FLD_Cell_Data_Struct : public virtual OMXgroup, public FLD_Cell_Data {
   public:
	FLD_Cell_Data_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Cell_Data_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Data_Struct
//
void FLD_Data_Struct__free(void *obj);
OMXgroup *FLD_Data_Struct__inst(OMobj_id obj_id);
class FLD_Data_Struct : public virtual OMXgroup, public FLD_Node_Data_Struct, public FLD_Cell_Data_Struct {
   public:
	FLD_Data_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Data_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Struct
//
void FLD_Mesh_Struct__free(void *obj);
OMXgroup *FLD_Mesh_Struct__inst(OMobj_id obj_id);
class FLD_Mesh_Struct : public virtual OMXgroup, public FLD_Grid_Struct, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Unif
//
void FLD_Mesh_Unif__free(void *obj);
OMXgroup *FLD_Mesh_Unif__inst(OMobj_id obj_id);
class FLD_Mesh_Unif : public virtual OMXgroup, public FLD_Grid_Unif, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Unif");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Rect
//
void FLD_Mesh_Rect__free(void *obj);
OMXgroup *FLD_Mesh_Rect__inst(OMobj_id obj_id);
class FLD_Mesh_Rect : public virtual OMXgroup, public FLD_Grid_Rect, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Rect");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Cyl_Unif
//
void FLD_Mesh_Cyl_Unif__free(void *obj);
OMXgroup *FLD_Mesh_Cyl_Unif__inst(OMobj_id obj_id);
class FLD_Mesh_Cyl_Unif : public virtual OMXgroup, public FLD_Grid_Cyl_Unif, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Cyl_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Cyl_Unif");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Cyl_Rect
//
void FLD_Mesh_Cyl_Rect__free(void *obj);
OMXgroup *FLD_Mesh_Cyl_Rect__inst(OMobj_id obj_id);
class FLD_Mesh_Cyl_Rect : public virtual OMXgroup, public FLD_Grid_Cyl_Rect, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Cyl_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Cyl_Rect");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Spher_Unif
//
void FLD_Mesh_Spher_Unif__free(void *obj);
OMXgroup *FLD_Mesh_Spher_Unif__inst(OMobj_id obj_id);
class FLD_Mesh_Spher_Unif : public virtual OMXgroup, public FLD_Grid_Spher_Unif, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Spher_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Spher_Unif");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};


//
// Program generated hdr definition for class: FLD_Mesh_Spher_Rect
//
void FLD_Mesh_Spher_Rect__free(void *obj);
OMXgroup *FLD_Mesh_Spher_Rect__inst(OMobj_id obj_id);
class FLD_Mesh_Spher_Rect : public virtual OMXgroup, public FLD_Grid_Spher_Rect, public FLD_Cells_Struct, public FLD_Xform {
   public:
	FLD_Mesh_Spher_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Mesh_Spher_Rect");
	virtual void *ret_omx_ptr(char *);
      OMXint ndim;
      OMXint_array dims;
};
class FLD_Field_Struct_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Struct_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Struct_cell_set
//
class FLD_Field_Struct_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Struct_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Struct.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Struct_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Struct
//
void FLD_Field_Struct__free(void *obj);
OMXgroup *FLD_Field_Struct__inst(OMobj_id obj_id);
class FLD_Field_Struct : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Struct, public FLD_Data_Struct {
   public:
	FLD_Field_Struct(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Struct");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Struct_cell_set cell_set;
};
class FLD_Field_Unif_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Unif_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Unif_cell_set
//
class FLD_Field_Unif_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Unif_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Unif.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Unif_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Unif
//
void FLD_Field_Unif__free(void *obj);
OMXgroup *FLD_Field_Unif__inst(OMobj_id obj_id);
class FLD_Field_Unif : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Unif, public FLD_Data_Struct {
   public:
	FLD_Field_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Unif");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Unif_cell_set cell_set;
};
class FLD_Field_Rect_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Rect_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Rect_cell_set
//
class FLD_Field_Rect_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Rect_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Rect.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Rect_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Rect
//
void FLD_Field_Rect__free(void *obj);
OMXgroup *FLD_Field_Rect__inst(OMobj_id obj_id);
class FLD_Field_Rect : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Rect, public FLD_Data_Struct {
   public:
	FLD_Field_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Rect");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Rect_cell_set cell_set;
};
class FLD_Field_Cyl_Unif_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Cyl_Unif_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Cyl_Unif_cell_set
//
class FLD_Field_Cyl_Unif_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Cyl_Unif_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Cyl_Unif.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Cyl_Unif_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Cyl_Unif
//
void FLD_Field_Cyl_Unif__free(void *obj);
OMXgroup *FLD_Field_Cyl_Unif__inst(OMobj_id obj_id);
class FLD_Field_Cyl_Unif : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Cyl_Unif, public FLD_Data_Struct {
   public:
	FLD_Field_Cyl_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Cyl_Unif");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Cyl_Unif_cell_set cell_set;
};
class FLD_Field_Cyl_Rect_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Cyl_Rect_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Cyl_Rect_cell_set
//
class FLD_Field_Cyl_Rect_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Cyl_Rect_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Cyl_Rect.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Cyl_Rect_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Cyl_Rect
//
void FLD_Field_Cyl_Rect__free(void *obj);
OMXgroup *FLD_Field_Cyl_Rect__inst(OMobj_id obj_id);
class FLD_Field_Cyl_Rect : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Cyl_Rect, public FLD_Data_Struct {
   public:
	FLD_Field_Cyl_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Cyl_Rect");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Cyl_Rect_cell_set cell_set;
};
class FLD_Field_Spher_Unif_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Spher_Unif_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Spher_Unif_cell_set
//
class FLD_Field_Spher_Unif_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Spher_Unif_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Spher_Unif.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Spher_Unif_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Spher_Unif
//
void FLD_Field_Spher_Unif__free(void *obj);
OMXgroup *FLD_Field_Spher_Unif__inst(OMobj_id obj_id);
class FLD_Field_Spher_Unif : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Spher_Unif, public FLD_Data_Struct {
   public:
	FLD_Field_Spher_Unif(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Spher_Unif");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Spher_Unif_cell_set cell_set;
};
class FLD_Field_Spher_Rect_cell_set_cell_data_array : public OMXgroup_array {
public:
  FLD_Field_Spher_Rect_cell_set_cell_data_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Data_Array &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Field_Spher_Rect_cell_set
//
class FLD_Field_Spher_Rect_cell_set : public virtual OMXgroup, public FLD_Cell_Set_Struct {
   public:
	FLD_Field_Spher_Rect_cell_set(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Spher_Rect.cell_set");
	virtual void *ret_omx_ptr(char *);
      OMXint ncell_data;
      FLD_Field_Spher_Rect_cell_set_cell_data_array cell_data;
};


//
// Program generated hdr definition for class: FLD_Field_Spher_Rect
//
void FLD_Field_Spher_Rect__free(void *obj);
OMXgroup *FLD_Field_Spher_Rect__inst(OMobj_id obj_id);
class FLD_Field_Spher_Rect : public virtual OMXgroup, public FLD_Header, public FLD_Mesh_Spher_Rect, public FLD_Data_Struct {
   public:
	FLD_Field_Spher_Rect(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Field_Spher_Rect");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
      OMXint ndim;
      OMXint_array dims;
      OMXint ncell_sets;
      class FLD_Field_Spher_Rect_cell_set cell_set;
};


//
// Program generated hdr definition for class: FLD_Point
//
void FLD_Point__free(void *obj);
OMXgroup *FLD_Point__inst(OMobj_id obj_id);
class FLD_Point : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Point(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Point");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Line
//
void FLD_Line__free(void *obj);
OMXgroup *FLD_Line__inst(OMobj_id obj_id);
class FLD_Line : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Line(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Line");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Line2
//
void FLD_Line2__free(void *obj);
OMXgroup *FLD_Line2__inst(OMobj_id obj_id);
class FLD_Line2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Line2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Line2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_PolyLine
//
void FLD_PolyLine__free(void *obj);
OMXgroup *FLD_PolyLine__inst(OMobj_id obj_id);
class FLD_PolyLine : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_PolyLine(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Polyline");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Tri
//
void FLD_Tri__free(void *obj);
OMXgroup *FLD_Tri__inst(OMobj_id obj_id);
class FLD_Tri : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Tri(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Tri");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Tri2
//
void FLD_Tri2__free(void *obj);
OMXgroup *FLD_Tri2__inst(OMobj_id obj_id);
class FLD_Tri2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Tri2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Tri2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Polytri
//
void FLD_Polytri__free(void *obj);
OMXgroup *FLD_Polytri__inst(OMobj_id obj_id);
class FLD_Polytri : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Polytri(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Polytri");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Quad
//
void FLD_Quad__free(void *obj);
OMXgroup *FLD_Quad__inst(OMobj_id obj_id);
class FLD_Quad : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Quad(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Quad");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Quad2
//
void FLD_Quad2__free(void *obj);
OMXgroup *FLD_Quad2__inst(OMobj_id obj_id);
class FLD_Quad2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Quad2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Quad2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Tet
//
void FLD_Tet__free(void *obj);
OMXgroup *FLD_Tet__inst(OMobj_id obj_id);
class FLD_Tet : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Tet(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Tet");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Tet2
//
void FLD_Tet2__free(void *obj);
OMXgroup *FLD_Tet2__inst(OMobj_id obj_id);
class FLD_Tet2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Tet2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Tet2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Hex
//
void FLD_Hex__free(void *obj);
OMXgroup *FLD_Hex__inst(OMobj_id obj_id);
class FLD_Hex : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Hex(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Hex");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Hex2
//
void FLD_Hex2__free(void *obj);
OMXgroup *FLD_Hex2__inst(OMobj_id obj_id);
class FLD_Hex2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Hex2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Hex2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Pyr
//
void FLD_Pyr__free(void *obj);
OMXgroup *FLD_Pyr__inst(OMobj_id obj_id);
class FLD_Pyr : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Pyr(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Pyr");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Pyr2
//
void FLD_Pyr2__free(void *obj);
OMXgroup *FLD_Pyr2__inst(OMobj_id obj_id);
class FLD_Pyr2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Pyr2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Pyr2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Prism
//
void FLD_Prism__free(void *obj);
OMXgroup *FLD_Prism__inst(OMobj_id obj_id);
class FLD_Prism : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Prism(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Prism");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Prism2
//
void FLD_Prism2__free(void *obj);
OMXgroup *FLD_Prism2__inst(OMobj_id obj_id);
class FLD_Prism2 : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Prism2(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Prism2");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXint cell_nfaces;
      OMXint_array cell_face_nnodes;
      OMXint_array cell_face_connect;
      OMXint_array cell_face_corner_nnodes;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Polyhedron
//
void FLD_Polyhedron__free(void *obj);
OMXgroup *FLD_Polyhedron__inst(OMobj_id obj_id);
class FLD_Polyhedron : public virtual OMXgroup, public FLD_Cell_Set {
   public:
	FLD_Polyhedron(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Polyhedron");
	virtual void *ret_omx_ptr(char *);
      OMXint cell_type;
      OMXstr cell_name;
      OMXfloat_array node_uvw;
};


//
// Program generated hdr definition for class: FLD_Multi_Block_fields
//
class FLD_Multi_Block_fields : public virtual OMXgroup, public FLD_Mesh_Struct, public FLD_Node_Data {
   public:
	FLD_Multi_Block_fields(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Multi_Block.fields");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
};
class FLD_Multi_Block_fields_array : public OMXgroup_array {
public:
  FLD_Multi_Block_fields_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   FLD_Multi_Block_fields &operator[](const int index);
};


//
// Program generated hdr definition for class: FLD_Multi_Block_coordinates
//
class FLD_Multi_Block_coordinates : public virtual OMXgroup {
   public:
	FLD_Multi_Block_coordinates(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Multi_Block.coordinates");
	virtual void *ret_omx_ptr(char *);
      OMXint veclen;
      OMXfloat_array min_vec;
      OMXfloat_array max_vec;
};


//
// Program generated hdr definition for class: FLD_Multi_Block
//
void FLD_Multi_Block__free(void *obj);
OMXgroup *FLD_Multi_Block__inst(OMobj_id obj_id);
class FLD_Multi_Block : public virtual OMXgroup {
   public:
	FLD_Multi_Block(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "Multi_Block");
	virtual void *ret_omx_ptr(char *);
      OMXint nblocks;
      FLD_Multi_Block_fields_array fields;
      class FLD_Multi_Block_coordinates coordinates;
};
#endif /* end c++ section */
#endif /* OM_NO_DEF_FLD */
